Welcome to the new Linux Foundation Forum!

Silverlight Equivalent in Linux Lite?

I am trying to get Netflix and some stock charts working in Firefox. When I went to install Silverlight, the installation redirected me to a page for Moonlight. Bold letters at the bottom say "Note: Moonlight isn’t actively developed anymore. If you’re feeling adventurous you can probably get it working by compiling from source, but we recommend you move away from Moonlight as soon as possible."

OK, I did some more research and found out about something called Pipelight. That isn't listed in the 'install/remove software' to be installed. I've successfully installed in that. I have tried to install from Wine to no success at all. The few times I tried it, what did get installed won't run.

What is the solution to this dilemma?

Thanks, Robert

Comments

  • Linux Lite is based on Ubuntu. Netflix should be available through another browser - Google Chrome.

    http://www.omgubuntu.co.uk/2014/10/psa-netflix-ubuntu-now-working-box
  • rgandrgand Posts: 17
    edited January 2016
    arochester wrote:
    Linux Lite is based on Ubuntu. Netflix should be available through another browser - Google Chrome.

    http://www.omgubuntu.co.uk/2014/10/psa-netflix-ubuntu-now-working-box
    Thanks, I'll try that. I was hoping to avoid installing Chrome and cluttering up my installation.

    Edit: Later...

    I did install Chrome and it worked fine for movies both on Netflix and Amazon Prime.

    I'll still continue the search to make Pipelight work. It's installed along with Wine and yet I can't get it to work yet. Anyone have any suggestions on that?
  • rgandrgand Posts: 17
    edited January 2016
    I have pipelight installed. I also have wine installed. I still can't figure out how to make pipelight work so I can run stock charts. Chrome doesn't run them. Neither does Firefox. Firefox still says I need to install Silverlight and I thought Pipelight was the Linux equivalent.

    So, what do I do next?

    update: At the suggestion of a poster on another forum, I have installed User Agent Switcher. I guess there is still more to do because the Pipelight diagnostic gives me the following:

    User agent (Javascript)
    Checking for Windows user agent ...failed
    Mozilla/5.0 (X11; Ubuntu; Linux i686; rv:43.0) Gecko/20100101 Firefox/43.0
    Almost all Silverlight applications require you to use a user agent switcher!

    Silverlight (as seen by a website)
    Checking for Silverlight ...okay
    Version: 5.1.40416.0

    Result
    Result from all tests ...failed
    You need to fix your user agent by installing a user agent switcher
Sign In or Register to comment.